# Cellular and GPS Setup

## i. Power Modes

Power modes affect the Cellular and GPS functionality of the device. For detailed overview of Power Modes, refer to the Cellular and GPS Tracking Documentation: <https://bit.ly/3pnVqiB>

a. MID

When MID power mode is selected, the device will have an active cellular connection and send GPS tracking during:

● Theft Tracking\
○ Device will be cellular active and send GPS tracking when locked and in

motion ● Period Pings

○ Device will be cellular active and send GPS information once daily ● State Change Pings

○ Device will be cellular active and send GPS information when it is locked or unlocked

● Cell ON when on a ride\
○ Device will be cellular active when it unlocked and in motion

1. HIGH

   When HIGH power mode is selected, the device will maintain an active cellular connection (Cellular ON) between certain times of the day. This is in addition to the cellular and GPS functionality in the MID power mode.
2. Ride Tracking

   When Ride Tracking is enabled, the device will send GPS tracking information when unlocked and in motion
3. Low Battery

   When the battery of the device is below 10%, all cellular functionality and GPS tracking will be disabled. The exception is Theft Tracking, which will continue to function as normal.
4. Airplane Mode

   When airplane mode is enabled, all cellular and GPS functionality is disabled on the device.

f. RecoveryMode

When recovery mode is enabled, the device will maintain an active cellular connection at all times.

5

ii. Data Usage

Each device comes with an embedded SIM card. Cellular network data is automatically activated upon first connection to the device.

Cellular network data usage for all messages sent to and from the device are billed at the end of each month. Contact your LINKA Fleets Representative for more information and for pricing.

## 4. GPS and Device Information&#x20;

Whenever the device has an active cellular connection, it will send cellular pings. The packet data of each ping is different depending on the type of ping:

#### a. Cellular Ping

The cellular ping includes the following data:

* ●  Lock State - device is locked or unlocked
* ●  Battery percent
* ●  Firmware Version
* ●  E-bike voltage

○ If the device is connected to an E-bike, it will return the voltage of the E-bike battery.

● Ping Reason\
○ Review the “reason” below for info regarding the Ping Reason

● Tether state b.&#x20;

#### GPS Ping

When the device has a GPS fix, the cellular ping will include the following data:

* ●  Lock State - device is locked or unlocked
* ●  Battery percent
* ●  E-bike voltage

○ If the device is connected to an E-bike, it will return the voltage of the E-bike battery.

● Ping Reason\
○ Review the “reason” below for info regarding the Ping Reason

* ●  Tether state
* ●  GPS Data

  ○ Latitude ○ Longitude ○ Speed\
  ○ Direction

6

○ Uncertainty\
c.&#x20;

#### Close Connection Ping

This is a special ping to indicate that the device is disconnecting from the cellular network. This ping will have the “reason” field “REASON\_CLOSE\_CONNECTION”

### ii. Webhook

An HTTP/HTTPS POST request is made to the URL(s) provided by the 3rd party merchant. Please reach out to your LINKA Fleets Representative to provide the webhook information. Multiple webhook URL’s can be added, with custom webhook headers for each URL.

### a. Device Data Webhook

Refer to the “Parameter Description” section below for information regarding the response format.

Value Description REASON\_THEFT Device is in Theft Mode REASON\_PERIOD\_TRACKING Device is sending a Period Ping REASON\_STATE\_PING Device is sending a State Change ping REASON\_UNLOCKED\_PING Device is sending a Ride Tracking ping REASON\_UNLOCKED\_MOVEMENT Device is in Cellular ON while unlocked and in motion REASON\_GPS\_PING Device is sending GPS location data REASON\_CELL\_PING Device is sending location data obtained with cellular positioning REASON\_NETWORK\_PING Device has an active cell connection, and is waiting for remote commands REASON\_RESET Device has done a cellular reset REASON\_CLOSE\_CONNECTION Device is disconnecting from the network PHONE Data sent from the user’s mobile phone rather than from the IOT device. This includes locking or unlocking using the SDK or the Operator app. The location coordinates obtained are from the user’s phone.

### Test Webhook&#x20;

Use this API to confirm the webhook is receiving data. Triggers a test webhook sent to the webhook URL specified by the merchant.

Method URL Body Response POST /test\_webhook { access\_token: "19e8e533-b635-4dca-86bb-5d98e64a26fc", mac\_addr:"F9:9F:83:DF:6C:52" } { status: "success" }


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linkalock.com/docs/api-docs/rest-api/cellular-and-gps-setup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
